/* filename:    tab-ss-1.g
** description: generates a LaTeX Table  
*/

new;
closeall;
library user, pgraph;
cls;
outwidth 128;


#include pathspec.g;

/******************************************************************
**         Load Parameter Draws from MH Output
*/

/* Specify input files - you have to edit the inputfile_str
** to read the desired estimates
** filename: lmodel + lprior + dataselstr + subTstr + pas
*/
inputfile_str = "\\..\\msearch-tvpi-obs3\\m1_t2m21t2p2\\results\\mhrun1\\ssts"
             $| "\\..\\msearch-pt-tvpi-obs3\\m1_t2m21t2p2\\results\\mhrun1\\ssts";

para_shift = 39 | 22;
             
/* Specify row names for table
*/

para_name  =  "$I_*/{\\cal Y}_*$        " $|
              "$K_*/{\\cal Y}_*$        " $|
              "${\\cal M}_*/{\\cal Y}_*$" $| 
              "$Y_*/H_*$                " $|
              "$W_*H_*/Y_*$             " $|
              "Markup                   " $|
              "$\\chi_*$                " $|
              "$B$                      " $|
              "DM Share                 " $|
              "DM Markup                ";


             
inputfile_n = rows(inputfile_str);

npara = rows(para_name);

post_mean = zeros(npara,inputfile_n);
post_ci   = zeros(npara,inputfile_n*2);

/* read the input files
*/
inputfile_ind = 1;

do until inputfile_ind > inputfile_n;

   lparas = workpath $+ inputfile_str[inputfile_ind];
   open fhparas = ^lparas for read;
   
   draw_mean = readr(fhparas,1)';
   post_mean[.,inputfile_ind] = draw_mean[para_shift[inputfile_ind]+1:para_shift[inputfile_ind]+npara];
   drawrow = seekr(fhparas,para_shift[inputfile_ind]+npara+3);
   draw_ci = readr(fhparas,2)';
   post_ci[.,2*(inputfile_ind-1)+1:2*inputfile_ind] = 
                                draw_ci[para_shift[inputfile_ind]+1:para_shift[inputfile_ind]+npara,.];

   inputfile_ind = inputfile_ind+1;
   
   closeall fhparas;
   
endo;

/* Create table
*/

para_ind = 1;

do until para_ind > rows(para_name);

      tablerow = para_name[para_ind];

      inputfile_ind = 1;
   
      do until inputfile_ind > inputfile_n;

         tablerow = tablerow $+ " & " $+ ftos(post_mean[para_ind,inputfile_ind],"%*.*lf",5,3)
                 $+ " & [" $+ ftos(post_ci[para_ind,2*(inputfile_ind-1)+1],"%*.*lf",5,3)
                 $+ ", "  $+ ftos(post_ci[para_ind,2*(inputfile_ind)],"%*.*lf",5,3) $+ "]";
           
         inputfile_ind = inputfile_ind+1;
      
      endo;

      tablerow  = tablerow  $+ "\\\\";
   
      $tablerow;
         
      para_ind = para_ind+1;

endo;
