/******************************************************************************
* LOADDATA.G
* reads time series data from ASCII data set into Gauss variable YY
* Data: GDPR, INFL, FFUNDS, inv velocity, INFL_Target
*
* EVIEWS ASCII export
* Range: 1964:I to 2005:I
* DSGE Estimation range is 1965:I to 2005:I conditional on 1964:I to 1964:IV
*
******************************************************************************/

if (datasel == 1);   

    load path = ^datapath YYall[]= "M1_t2.TXT ";
    YYall = reshape(YYall,rows(YYall)/5,5);
    ti = seqa(1964,0.25,rows(YYall));
    nobs = rows(YYall);
    YY = YYall;
    
elseif datasel == 2;

    load path = ^datapath YYall[]= "M1forc1y1970q22005q1.TXT ";
    YYall = reshape(YYall,rows(YYall)/5,5);
    ti = seqa(1970.25,0.25,rows(YYall));
    nobs = rows(YYall);
    YY = YYall;

elseif datasel == 3;

    load path = ^datapath YYall[]= "M1forc10y1979q42005q1.TXT ";
    YYall = reshape(YYall,rows(YYall)/5,5);
    ti = seqa(1979.75,0.25,rows(YYall));
    nobs = rows(YYall);
    YY = YYall;

endif;

/** pick sub samples 
**  compared to DSGE analysis we add 4 obs to initialize lags
**/

if subT==0; /** start 1984:I **/
   subT0 = maxindc(ti.>=1983);
   subT1 = nobs;
   YY    = YY[subT0:subT1,.];
   ti    = ti[subT0:subT1,.];
   nobs  = rows(YY);
   
elseif subT==1; /** start 1987:III **/
   subT0 = maxindc(ti.>=1986.5);
   subT1 = nobs;
   YY    = YY[subT0:subT1,.];
   ti    = ti[subT0:subT1,.];
   nobs  = rows(YY);
   
elseif subT==2; /** start 1964:I **/
   subT0 = maxindc(ti.>=1964);
   subT1 = nobs;
   YY    = YY[subT0:subT1,.];
   ti    = ti[subT0:subT1,.];
   nobs  = rows(YY);

endif;         
